org.apache.cassandra.db.rows

## Interface CellPath.Serializer

- Enclosing class:
    CellPath

      public static interface CellPath.Serializer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CellPath` | `deserialize(DataInputPlus in)`
    `void` | `serialize(CellPath path, DataOutputPlus out)`
    `long` | `serializedSize(CellPath path)`
    `void` | `skip(DataInputPlus in)`

- - ### Method Detail

    - #### serialize

          void serialize(CellPath path,
                         DataOutputPlus out)
                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          CellPath deserialize(DataInputPlus in)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSize

          long serializedSize(CellPath path)

    - #### skip

          void skip(DataInputPlus in)
             throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation